Subject: bug#20691: 24.5; `eval-expression' doesn't conform to its docstring

From: Nicolas Richard <[email-masked]>
Date: Fri, 29 May 2015 12:02:08 +0200

Vasilij Schneidermann <[email-masked]> writes:

> Evaluating numbers and characters with M-: prints their value and
> additionally to that the octal, hexadecimal and character
> representation
> of the number if it's printable. I've checked its docstring and was
> surprised to read that the aforementioned behaviour should only happen
> when using a prefix argument of zero.

It seems to be fixed on the master branch.

I just tried :
"M-: 5 7 RET" show "57" in the echo area
"C-u M-: 5 7 RET" inserts "57" in the buffer
"M-0 M-: 5 7 RET" inserts "57 (#o71, #x39, ?9)" in the buffer

But indeed I observe the same problem on emacs-24.

-- 
Nico.